Skip to content
pols.so docs
Esc
↑↓navigate↵open⌘Jpreview

Get a template

GET/v1/templates/{template}
Authorization
AuthorizationBearer token · headerrequired

Org-scoped API key, pols_....

Path parameters
templatestringrequired

Template ID (tpl_...) or name.

Responses
200

The template.

statusTemplateStatusrequired
Allowed:creatingreadyfaileddeleting
disk_gibintegerrequired
min 1
idstringrequired
namestringrequired
descriptionstring | null
systembooleanrequired

Provided by pols.so for every org; cannot be deleted.

source_sandbox_idstring | null
created_atstring<date-time>required
429

Rate limited (rate_limited): too many requests or failed authentications from this address, too many requests or lifecycle calls for this org, or too many of its exec, file, computer and CDP calls in progress at once. Retry after Retry-After seconds.

errorobjectrequired
Show properties
codestringrequired

Stable machine-readable code: bad_request (400), unauthorized (401), forbidden (403), quota_exceeded (403), not_found (404), conflict (409), rate_limited (429, see Retry-After), internal (500), runtime_error (502, the sandbox host failed), unavailable (503, the feature is not configured on this deployment), timeout (504, or 408 when a request body stalls).

messagestringrequired
default

Error.

errorobjectrequired
Show properties
codestringrequired

Stable machine-readable code: bad_request (400), unauthorized (401), forbidden (403), quota_exceeded (403), not_found (404), conflict (409), rate_limited (429, see Retry-After), internal (500), runtime_error (502, the sandbox host failed), unavailable (503, the feature is not configured on this deployment), timeout (504, or 408 when a request body stalls).

messagestringrequired
Request
curl -X GET 'https://api.pols.so/v1/templates/string' \
  -H 'Authorization: Bearer YOUR_TOKEN'
Response
{
  "status": "creating",
  "disk_gib": 1,
  "id": "tpl_ubuntu2404",
  "name": "string",
  "description": "string",
  "system": true,
  "source_sandbox_id": "string",
  "created_at": "2019-08-24T14:15:22Z"
}